% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/cenLR.R
\name{cenLR}
\alias{cenLR}
\title{Centred log-ratio transformation}
\usage{
cenLR(x)
}
\arguments{
\item{x}{multivariate data ideally of class data.frame or matrix}
}
\value{
The transformed data, including \item{x.clr}{clr transformed data}
\item{gm}{the geometric means of the original composition.}
}
\description{
The cenLR transformation moves D-part compositional data from the simplex
into a D-dimensional real space.
}
\details{
Each composition is divided by the geometric mean of its parts before the
logarithm is taken.
}
\note{
The resulting transformed data set is singular by definition.
}
\examples{

data(expenditures)
eclr <- cenLR(expenditures)
inveclr <- cenLRinv(eclr)
head(expenditures)
head(inveclr)
head(isomLRinv(eclr$x.clr))

}
\author{
Matthias Templ
}
\references{
Aitchison, J. (1986) \emph{The Statistical Analysis of
Compositional Data} Monographs on Statistics and Applied Probability.
Chapman \& Hall Ltd., London (UK). 416p.
}
\seealso{
\code{\link{cenLRinv}}, \code{\link{addLR}}, \code{\link{isomLR}},
\code{\link{addLRinv}}, \code{\link{isomLRinv}}
}
\keyword{manip}

